Get Search Results
26/03/2026
POST /api/configurations/{configId}/search
Returns results for the provided search query together with a list of all facets enabled for this configuration.
Parameters
Name | In | Type | Required | Description |
|---|---|---|---|---|
configId | path | integer(int32) | true | The ID of the configuration to use for retrieving search results. |
input | body (raw) | string | false | The search query. |
selectedFacets | body (raw) | array | false | An array of objects, each representing a single facet serving as a search filter. |
» field | body (raw) | string | false | The ID of the facet to filter by. |
» label | body (raw) | string | false | The label of facet item to filter by. |
» value | body (raw) | string | false | The URI of the facet item to filter by. |
start | body (raw) | integer(int32) | false | The number of search results to skip (used for pagination). |
Note
application/json is a mandatory content type for operations with a request body.
curl 'https://adf-dev.semantic-web.at/ADF/api/configurations/1/search' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJfeXpPU1JLUkV5MWg2SFUyeDNYaG9EdXQyUEItRldZWmpVcTVqdF93UUpNIn0.eyJleHAiOjE3MDE5Njg1NTIsImlhdCI6MTcwMTk2ODI1MiwianRpIjoiMTgzNTQwOTktY2VjZi00NjFhLTk3ZWItMTEzMjdhMmI4OTNiIiwiaXNzIjoiaHR0cHM6Ly9sb2dpbi1pbnRlcm5hbC1ldS5wb29scGFydHkuYml6L2F1dGgvcmVhbG1zL3JkZm94LWludGVncmF0aW9uLnBvb2xwYXJ0eS5iaXoiLCJhdWQiOiJhY2NvdW50Iiwic3ViIjoiMmY4N2RiZjYtZWExZC00OTc5LWE3YWYtNmEwZTExMTA0N2IyIiwidHlwIjoiQmVhcmVyIiwiYXpwIjoicHB0Iiwic2Vzc2lvbl9zdGF0ZSI6IjgzNGI2YTAzLTBmNTYtNDcwMC1hNWYyLTk5MmJhYmE0ZGMyZiIsImFsbG93ZWQtb3JpZ2lucyI6WyIqIl0sInJlYWxtX2FjY2VzcyI6eyJyb2xlcyI6WyJvZmZsaW5lX2FjY2VzcyIsImxvY2FsLXVzZXIiLCJQb29sUGFydHlVc2VyIiwidW1hX2F1dGhvcml6YXRpb24iLCJkZWZhdWx0LXJvbGVzLXJkZm94LWludGVncmF0aW9uLnBvb2xwYXJ0eS5iaXoiXX0sInJlc291cmNlX2FjY2VzcyI6eyJhY2NvdW50Ijp7InJvbGVzIjpbIm1hbmFnZS1hY2NvdW50IiwibWFuYWdlLWFjY291bnQtbGlua3MiLCJ2aWV3LXByb2ZpbGUiXX19LCJzY29wZSI6Im9wZW5pZCBwcm9maWxlIGVtYWlsIiwic2lkIjoiODM0YjZhMDMtMGY1Ni00NzAwLWE1ZjItOTkyYmFiYTRkYzJmIiwiaXJpIjoiaHR0cHM6Ly9yZGZveC1pbnRlZ3JhdGlvbi5wb29scGFydHkuYml6L3VzZXIvMmY4N2RiZjYtZWExZC00OTc5LWE3YWYtNmEwZTExMTA0N2IyIiwidWlMYW5ndWFnZSI6ImVuIiwiZW1haWxfdmVyaWZpZWQiOmZhbHNlLCJkaXNwbGF5TGFuZ3VhZ2VzIjpbIiJdLCJza29zVmlldyI6IkJBU0lDU0tPU1ZJRVciLCJuYW1lIjoiUFBJTCBUZXN0IFVzZXIiLCJncm91cHMiOlsiL3BwaWwiXSwidGltZVpvbmUiOiJFdXJvcGUvVmllbm5hIiwicHJlZmVycmVkX3VzZXJuYW1lIjoicHBpbCIsImdpdmVuX25hbWUiOiJQUElMIiwiYWNMYW5ndWFnZSI6ImVuIiwiZmFtaWx5X25hbWUiOiJUZXN0IFVzZXIifQ.n4Tj5jUGO2fa5j94GmENmyUG5AAlOk2M2G18YOok9yrTIUotx93bGrPJcWBXMN6lAoGg6e9-QUr_mogjb0rOmp4wnWsp_5Pom7xD_QJYQd0iCElanYO-OWKjJiLpvq27hA1o6ro2i-TGKTNUdlijzpWZNS0Q7wy65Eq3QcKrRC7tW4JYU3_idQpmyrQ48hz-uWZD6BcrrjGXy5-33cW-0HkxoCstzalFXTFQ5aNEEhAZw9IvDEDb3dAprz6bik9WdI7SAgfYCwNuUWN9zb3a6ojbhg4RIp1Eugss-Wgl728rz1jQK43ECD9O4wZ73un3_nA8ArFAyMTrMtc7W8QrgQ'
--data '{
"input": "pinot noir",
"selectedFacets": [
{
"field": "http://schema.semantic-web.at/Harmonizer/Wines",
"label": "Wines",
"value": "http://schema.semantic-web.at/Harmonizer/Wines"
}
],
"start": 0
}'
{
"input": "pinot noir",
"selectedFacets": [
{
"field": "http://schema.semantic-web.at/Harmonizer/Wines",
"label": "Wines",
"value": "http://schema.semantic-web.at/Harmonizer/Wines"
}
],
"start": 0
}
Responses
Status | Meaning | Description |
|---|---|---|
200 | Information about facets and documents | |
201 | Created | |
401 | Unauthorized | |
403 | Forbidden | |
404 | Not Found |
{
"concepts": null,
"facets": [
{
"facets": [
{
"count": 2,
"label": "Pinot noir",
"value": "http://vocabulary.semantic-web.at/cheese-wine/ce5c4ea7-79bb-4f0c-8733-e43a5b4a6793",
"children": null
}
],
"field": "http://schema.semantic-web.at/Harmonizer/Wines",
"label": "Wines"
}
],
"result": [
{
"date": 1.49917342E12,
"description": "In the nose are ripe cherry and orange aromas along with a delicate spice undertone. The palate expresses ripe plum tones, a minerally texture, finesse-laden acidity and soft playful tannins. Highly elegant, more than medium-bodied and very Burgundian with a good potential for development.\n\nAlcohol: 13,5 % Vol.,Acid: 4,7 g/l, Residual ... ",
"empty": false,
"facetList": [
{
"facets": [
{
"count": 1,
"label": "Pinot noir",
"value": "http://schema.semantic-web.at/Harmonizer/Wines",
"children": null
}
],
"field": "http://schema.semantic-web.at/Harmonizer/Wines",
"label": "Wines"
}
],
"documentDetails": [
{
"facets": [
{
"count": 1,
"label": "Medium tannin",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Full-bodied",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Dry",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "High alc",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Wet slate",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Sweet cherry",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Medium acidity",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Orange",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Plum",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
}
],
"field": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"label": "Wine descriptors"
},
{
"facets": [
{
"count": 1,
"label": "Pinot noir",
"value": "http://schema.semantic-web.at/Harmonizer/Wines",
"children": null
}
],
"field": "http://schema.semantic-web.at/Harmonizer/Wines",
"label": "Wines"
}
],
"id": "http://vocabulary.semantic-web.at/cheese-wine/9e301699-a6c7-4316-bb7c-847772f05e63",
"image": "https://image.poolparty.biz/vocabulary-WineCheeseDemo/996_6_pinot_noir_select_2006.jpg",
"link": "http://vocabulary.semantic-web.at/cheese-wine/9e301699-a6c7-4316-bb7c-847772f05e63",
"searchSpaceId": "f8c3c4f8-c14c-48c7-af5a-ab5f63b3ae93",
"title": "Weingut Wieninger Pinot Noir Select 2014",
"type": null
},
{
"date": 1.499162488E12,
"description": "Fruchtbetont mit einem vielschichtigen Duft nach Himbeeren und Karamel. Ein Hauch von Extraktsüße rundet das Aromabild ab. Lang und eindrucksvoll am Abgang\n\n13 %",
"empty": false,
"facetList": [
{
"facets": [
{
"count": 1,
"label": "Pinot noir",
"value": "http://schema.semantic-web.at/Harmonizer/Wines",
"children": null
}
],
"field": "http://schema.semantic-web.at/Harmonizer/Wines",
"label": "Wines"
}
],
"documentDetails": [
{
"facets": [
{
"count": 1,
"label": "Medium tannin",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Raspberry",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "High alc",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Strawberry",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Caramelized",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Medium acidity",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
},
{
"count": 1,
"label": "Long finish",
"value": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"children": null
}
],
"field": "http://schema.semantic-web.at/Harmonizer/Wine-descriptors",
"label": "Wine descriptors"
},
{
"facets": [
{
"count": 1,
"label": "Pinot noir",
"value": "http://schema.semantic-web.at/Harmonizer/Wines",
"children": null
}
],
"field": "http://schema.semantic-web.at/Harmonizer/Wines",
"label": "Wines"
}
],
"id": "http://vocabulary.semantic-web.at/cheese-wine/df94fa84-0c93-4f7f-a1cd-344364ba9050",
"image": "https://image.poolparty.biz/vocabulary-WineCheeseDemo/grillenhuegel-pinot-noir-1.jpg",
"link": "http://vocabulary.semantic-web.at/cheese-wine/df94fa84-0c93-4f7f-a1cd-344364ba9050",
"searchSpaceId": "f8c3c4f8-c14c-48c7-af5a-ab5f63b3ae93",
"title": "Johanneshof Reinisch GRILLENHÜGEL PINOT NOIR 2015",
"type": null
}
],
"message": "Query time: -9 ms",
"total": 2
}
Name | Type | Required | Description |
|---|---|---|---|
concepts | [object] | false | Currently not supported. |
facets | array | false | An array of objects, each representing a single facet enabled for this configuration. |
» facets | array | false | An array with facet refiners and facet metadata. |
» » count | integer(int32) | false | The number of search results for this refiner. |
» » label | string | false | The name of the facet refiner. |
» » value | string | false | none |
» » children | array | false | The sub-refiners of this refiner. Only relevant if the |
» field | string | false | The field type. |
» label | string | false | The name of the facet. Is determined by the |
result | array | false | An array of objects, each representing a single search result (document). |
message | string | false | A message informing about the duration of the operation in milliseconds. |
total | integer(int32) | false | The total number of retrieved documents. |